/*
 * Copyright (c) 2011-2018 The Linux Foundation. All rights reserved.
 *
 * Permission to use, copy, modify, and/or distribute this software for
 * any purpose with or without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
 * WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE
 * AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL
 * DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR
 * PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER
 * TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
 * PERFORMANCE OF THIS SOFTWARE.
 */

#ifndef __WNICFG_H
#define __WNICFG_H

/*
 * Configuration Parameter ID for STA
 */

enum {
	WNI_CFG_STA_ID,
	WNI_CFG_CFP_PERIOD,
	WNI_CFG_CFP_MAX_DURATION,
	WNI_CFG_SSID,
	WNI_CFG_BEACON_INTERVAL,
	WNI_CFG_DTIM_PERIOD,
	WNI_CFG_ACTIVE_MAXIMUM_CHANNEL_TIME,
	WNI_CFG_PASSIVE_MAXIMUM_CHANNEL_TIME,
	WNI_CFG_SUPPORTED_RATES_11B,
	WNI_CFG_SUPPORTED_RATES_11A,
	WNI_CFG_DOT11_MODE,
	WNI_CFG_OPERATIONAL_RATE_SET,
	WNI_CFG_EXTENDED_OPERATIONAL_RATE_SET,
	WNI_CFG_LISTEN_INTERVAL,
	WNI_CFG_VALID_CHANNEL_LIST,
	WNI_CFG_APSD_ENABLED,
	WNI_CFG_SHORT_PREAMBLE,
	WNI_CFG_QOS_ENABLED,
	WNI_CFG_11D_ENABLED,
	WNI_CFG_MAX_TX_POWER_2_4,
	WNI_CFG_MAX_TX_POWER_5,
	WNI_CFG_CURRENT_TX_POWER_LEVEL,
	WNI_CFG_COUNTRY_CODE,
	WNI_CFG_11H_ENABLED,
	WNI_CFG_11G_SHORT_PREAMBLE_ENABLED,
	WNI_CFG_11G_SHORT_SLOT_TIME_ENABLED,
	WNI_CFG_11G_ONLY_POLICY,
	WNI_CFG_WME_ENABLED,
	WNI_CFG_MAX_SP_LENGTH,
	WNI_CFG_WSM_ENABLED,
	WNI_CFG_EDCA_PROFILE,
	WNI_CFG_LOCAL_POWER_CONSTRAINT,
	WNI_CFG_ADMIT_POLICY,
	WNI_CFG_ADMIT_BWFACTOR,
	WNI_CFG_SCAN_CONTROL_LIST,
	WNI_CFG_HT_CAP_INFO,
	WNI_CFG_HT_AMPDU_PARAMS,
	WNI_CFG_SUPPORTED_MCS_SET,
	WNI_CFG_EXT_HT_CAP_INFO,
	WNI_CFG_TX_BF_CAP,
	WNI_CFG_AS_CAP,
	WNI_CFG_HT_INFO_FIELD1,
	WNI_CFG_HT_INFO_FIELD2,
	WNI_CFG_HT_INFO_FIELD3,
	WNI_CFG_BASIC_MCS_SET,
	WNI_CFG_CURRENT_MCS_SET,
	WNI_CFG_VHT_MAX_MPDU_LENGTH,
	WNI_CFG_VHT_SUPPORTED_CHAN_WIDTH_SET,
	WNI_CFG_VHT_LDPC_CODING_CAP,
	WNI_CFG_VHT_SHORT_GI_80MHZ,
	WNI_CFG_VHT_SHORT_GI_160_AND_80_PLUS_80MHZ,
	WNI_CFG_VHT_TXSTBC,
	WNI_CFG_VHT_RXSTBC,
	WNI_CFG_VHT_SU_BEAMFORMER_CAP,
	WNI_CFG_VHT_SU_BEAMFORMEE_CAP,
	WNI_CFG_VHT_CSN_BEAMFORMEE_ANT_SUPPORTED,
	WNI_CFG_VHT_NUM_SOUNDING_DIMENSIONS,
	WNI_CFG_VHT_MU_BEAMFORMER_CAP,
	WNI_CFG_VHT_MU_BEAMFORMEE_CAP,
	WNI_CFG_VHT_TXOP_PS,
	WNI_CFG_VHT_HTC_VHTC_CAP,
	WNI_CFG_VHT_AMPDU_LEN_EXPONENT,
	WNI_CFG_VHT_LINK_ADAPTATION_CAP,
	WNI_CFG_VHT_RX_ANT_PATTERN,
	WNI_CFG_VHT_TX_ANT_PATTERN,
	WNI_CFG_VHT_RX_MCS_MAP,
	WNI_CFG_VHT_TX_MCS_MAP,
	WNI_CFG_VHT_RX_HIGHEST_SUPPORTED_DATA_RATE,
	WNI_CFG_VHT_TX_HIGHEST_SUPPORTED_DATA_RATE,
	WNI_CFG_VHT_BASIC_MCS_SET,
	WNI_CFG_VHT_MU_MIMO_CAP_STA_COUNT,
	WNI_CFG_VHT_SS_UNDER_UTIL,
	WNI_CFG_VHT_40MHZ_UTILIZATION,
	WNI_CFG_VHT_80MHZ_UTILIZATION,
	WNI_CFG_VHT_160MHZ_UTILIZATION,
	WNI_CFG_MPDU_DENSITY,
	WNI_CFG_MAX_RX_AMPDU_FACTOR,
	WNI_CFG_SCAN_IN_POWERSAVE,
	WNI_CFG_WOWLAN_UCAST_PATTERN_FILTER_ENABLE,
	WNI_CFG_WOWLAN_CHANNEL_SWITCH_ENABLE,
	WNI_CFG_IBSS_AUTO_BSSID,
	WNI_CFG_WPS_ENABLE,
	WNI_CFG_WPS_STATE,
	WNI_CFG_WPS_VERSION,
	WNI_CFG_WPS_CFG_METHOD,
	WNI_CFG_WPS_UUID,
	WNI_CFG_WPS_PRIMARY_DEVICE_CATEGORY,
	WNI_CFG_WPS_PIMARY_DEVICE_OUI,
	WNI_CFG_WPS_DEVICE_SUB_CATEGORY,
	WNI_CFG_WPS_DEVICE_PASSWORD_ID,
	WNI_CFG_TELE_BCN_WAKEUP_EN,
	WNI_CFG_TELE_BCN_MAX_LI,
	WNI_CFG_ASSOC_STA_LIMIT,
	WNI_CFG_ENABLE_LTE_COEX,
	WNI_CFG_ENABLE_MCC_ADAPTIVE_SCHED,
	WNI_CFG_DISABLE_LDPC_WITH_TXBF_AP,
	WNI_CFG_RMC_ACTION_PERIOD_FREQUENCY,
	WNI_CFG_IBSS_ATIM_WIN_SIZE,
	WNI_CFG_DFS_MASTER_ENABLED,
	WNI_CFG_VHT_ENABLE_TXBF_20MHZ,
	WNI_CFG_MAX_HT_MCS_TX_DATA,
	WNI_CFG_DISABLE_ABG_RATE_FOR_TX_DATA,
	WNI_CFG_RATE_FOR_TX_MGMT,
	WNI_CFG_HE_CONTROL,
	WNI_CFG_HE_TWT_REQUESTOR,
	WNI_CFG_HE_TWT_RESPONDER,
	WNI_CFG_HE_FRAGMENTATION,
	WNI_CFG_HE_MAX_FRAG_MSDU,
	WNI_CFG_HE_MIN_FRAG_SIZE,
	WNI_CFG_HE_TRIG_PAD,
	WNI_CFG_HE_MTID_AGGR_RX,
	WNI_CFG_HE_LINK_ADAPTATION,
	WNI_CFG_HE_ALL_ACK,
	WNI_CFG_HE_TRIGD_RSP_SCHEDULING,
	WNI_CFG_HE_BUFFER_STATUS_RPT,
	WNI_CFG_HE_BCAST_TWT,
	WNI_CFG_HE_BA_32BIT,
	WNI_CFG_HE_MU_CASCADING,
	WNI_CFG_HE_MULTI_TID,
	WNI_CFG_HE_DL_MU_BA,
	WNI_CFG_HE_OMI,
	WNI_CFG_HE_OFDMA_RA,
	WNI_CFG_HE_MAX_AMPDU_LEN,
	WNI_CFG_HE_AMSDU_FRAG,
	WNI_CFG_HE_FLEX_TWT_SCHED,
	WNI_CFG_HE_RX_CTRL,
	WNI_CFG_HE_BSRP_AMPDU_AGGR,
	WNI_CFG_HE_QTP,
	WNI_CFG_HE_A_BQR,
	WNI_CFG_HE_SR_RESPONDER,
	WNI_CFG_HE_NDP_FEEDBACK_SUPP,
	WNI_CFG_HE_OPS_SUPP,
	WNI_CFG_HE_AMSDU_IN_AMPDU,
	WNI_CFG_HE_MTID_AGGR_TX,
	WNI_CFG_HE_SUB_CH_SEL_TX,
	WNI_CFG_HE_UL_2X996_RU,
	WNI_CFG_HE_OM_CTRL_UL_MU_DIS_RX,
	WNI_CFG_HE_CHAN_WIDTH,
	WNI_CFG_HE_RX_PREAM_PUNC,
	WNI_CFG_HE_CLASS_OF_DEVICE,
	WNI_CFG_HE_LDPC,
	WNI_CFG_HE_LTF_PPDU,
	WNI_CFG_HE_MIDAMBLE_RX_MAX_NSTS,
	WNI_CFG_HE_LTF_NDP,
	WNI_CFG_HE_TX_STBC_LT80,
	WNI_CFG_HE_RX_STBC_LT80,
	WNI_CFG_HE_DOPPLER,
	WNI_CFG_HE_UL_MUMIMO,
	WNI_CFG_HE_DCM_TX,
	WNI_CFG_HE_DCM_RX,
	WNI_CFG_HE_MU_PPDU,
	WNI_CFG_HE_SU_BEAMFORMER,
	WNI_CFG_HE_SU_BEAMFORMEE,
	WNI_CFG_HE_MU_BEAMFORMER,
	WNI_CFG_HE_BFEE_STS_LT80,
	WNI_CFG_HE_BFEE_STS_GT80,
	WNI_CFG_HE_NUM_SOUND_LT80,
	WNI_CFG_HE_NUM_SOUND_GT80,
	WNI_CFG_HE_SU_FEED_TONE16,
	WNI_CFG_HE_MU_FEED_TONE16,
	WNI_CFG_HE_CODEBOOK_SU,
	WNI_CFG_HE_CODEBOOK_MU,
	WNI_CFG_HE_BFRM_FEED,
	WNI_CFG_HE_ER_SU_PPDU,
	WNI_CFG_HE_DL_PART_BW,
	WNI_CFG_HE_PPET_PRESENT,
	WNI_CFG_HE_SRP,
	WNI_CFG_HE_POWER_BOOST,
	WNI_CFG_HE_4x_LTF_GI,
	WNI_CFG_HE_MAX_NC,
	WNI_CFG_HE_TX_STBC_GT80,
	WNI_CFG_HE_RX_STBC_GT80,
	WNI_CFG_HE_ER_4x_LTF_GI,
	WNI_CFG_HE_PPDU_20_IN_40MHZ_2G,
	WNI_CFG_HE_PPDU_20_IN_160_80P80MHZ,
	WNI_CFG_HE_PPDU_80_IN_160_80P80MHZ,
	WNI_CFG_HE_ER_1X_HE_LTF_GI,
	WNI_CFG_HE_MIDAMBLE_TXRX_1X_HE_LTF,
	WNI_CFG_HE_DCM_MAX_BW,
	WNI_CFG_HE_LONGER_16_SIGB_OFDM_SYM,
	WNI_CFG_HE_NON_TRIG_CQI_FEEDBACK,
	WNI_CFG_HE_TX_1024_QAM_LT_242_RU,
	WNI_CFG_HE_RX_1024_QAM_LT_242_RU,
	WNI_CFG_HE_RX_FULL_BW_MU_CMPR_SIGB,
	WNI_CFG_HE_RX_FULL_BW_MU_NON_CMPR_SIGB,
	WNI_CFG_HE_RX_MCS_MAP_LT_80,
	WNI_CFG_HE_TX_MCS_MAP_LT_80,
	WNI_CFG_HE_RX_MCS_MAP_160,
	WNI_CFG_HE_TX_MCS_MAP_160,
	WNI_CFG_HE_RX_MCS_MAP_80_80,
	WNI_CFG_HE_TX_MCS_MAP_80_80,
	WNI_CFG_HE_PPET_2G,
	WNI_CFG_HE_PPET_5G,
	WNI_CFG_HE_OPS_BSS_COLOR,
	WNI_CFG_HE_OPS_DEFAULT_PE,
	WNI_CFG_HE_OPS_TWT_REQUIRED,
	WNI_CFG_HE_OPS_RTS_THRESHOLD,
	WNI_CFG_HE_OPS_PARTIAL_BSS_COL,
	WNI_CFG_HE_OPS_VHT_OPER_PRESENT,
	WNI_CFG_HE_OPS_MBSSID_AP,
	WNI_CFG_HE_OPS_TX_BSSID_IND,
	WNI_CFG_HE_OPS_BSS_COL_DISABLED,
	WNI_CFG_HE_OPS_BASIC_MCS_NSS,
	WNI_CFG_PS_WOW_DATA_INACTIVITY_TIMEOUT,
	WNI_CFG_HE_STA_OBSSPD,
	WNI_CFG_SAP_MAX_MCS_DATA,
	WNI_CFG_RATE_FOR_TX_MGMT_2G,
	WNI_CFG_RATE_FOR_TX_MGMT_5G,
	WNI_CFG_OBSS_DETECTION_OFFLOAD,
	WNI_CFG_OBSS_COLOR_COLLISION_OFFLOAD,
	WNI_CFG_TWT_REQUESTOR,
	WNI_CFG_TWT_RESPONDER,
	WNI_CFG_BCAST_TWT,
	/* Any new items to be added should be above this strictly */
	CFG_PARAM_MAX_NUM
};
/*
 * String parameter lengths
 */

#define WNI_CFG_STA_ID_LEN    6
#define WNI_CFG_SSID_LEN    32
#define WNI_CFG_SUPPORTED_RATES_11B_LEN    4
#define WNI_CFG_SUPPORTED_RATES_11A_LEN    8
#define WNI_CFG_OPERATIONAL_RATE_SET_LEN    12
#define WNI_CFG_EXTENDED_OPERATIONAL_RATE_SET_LEN    8
#define WNI_CFG_PROPRIETARY_OPERATIONAL_RATE_SET_LEN    4
#define WNI_CFG_VALID_CHANNEL_LIST_LEN    100
#define WNI_CFG_MAX_TX_POWER_2_4_LEN    128
#define WNI_CFG_MAX_TX_POWER_5_LEN    128
#define WNI_CFG_COUNTRY_CODE_LEN    3
#define WNI_CFG_SCAN_CONTROL_LIST_LEN    128
#define WNI_CFG_SUPPORTED_MCS_SET_LEN    16
#define WNI_CFG_BASIC_MCS_SET_LEN    16
#define WNI_CFG_CURRENT_MCS_SET_LEN    16
#define WNI_CFG_PROBE_RSP_ADDNIE_DATA1_LEN    255
#define WNI_CFG_ASSOC_RSP_ADDNIE_DATA_LEN    255
#define WNI_CFG_PROBE_RSP_BCN_ADDNIE_DATA_LEN    255
#define WNI_CFG_WPS_UUID_LEN    16
#define WNI_CFG_HE_PPET_LEN     25

/*
 * Integer parameter min/max/default values
 */

#define WNI_CFG_CFP_PERIOD_STAMIN    0
#define WNI_CFG_CFP_PERIOD_STAMAX    255
#define WNI_CFG_CFP_PERIOD_STADEF    1

#define WNI_CFG_CFP_MAX_DURATION_STAMIN    0
#define WNI_CFG_CFP_MAX_DURATION_STAMAX    65535
#define WNI_CFG_CFP_MAX_DURATION_STADEF    30000

#define WNI_CFG_BEACON_INTERVAL_STAMIN    0
#define WNI_CFG_BEACON_INTERVAL_STAMAX    65535
#define WNI_CFG_BEACON_INTERVAL_STADEF    100

#define WNI_CFG_DTIM_PERIOD_STAMIN    0
#define WNI_CFG_DTIM_PERIOD_STAMAX    65535
#define WNI_CFG_DTIM_PERIOD_STADEF    1

#define WNI_CFG_WEP_KEY_LENGTH_5    5
#define WNI_CFG_WEP_KEY_LENGTH_13    13

#define WNI_CFG_WEP_DEFAULT_KEYID_STAMIN    0
#define WNI_CFG_WEP_DEFAULT_KEYID_STAMAX    3
#define WNI_CFG_WEP_DEFAULT_KEYID_STADEF    0

#define WNI_CFG_WEP_DEFAULT_KEYID_0    0
#define WNI_CFG_WEP_DEFAULT_KEYID_1    1
#define WNI_CFG_WEP_DEFAULT_KEYID_2    2
#define WNI_CFG_WEP_DEFAULT_KEYID_3    3

#define WNI_CFG_EXCLUDE_UNENCRYPTED_STAMIN    0
#define WNI_CFG_EXCLUDE_UNENCRYPTED_STAMAX    1
#define WNI_CFG_EXCLUDE_UNENCRYPTED_STADEF    0

#define WNI_CFG_ACTIVE_MAXIMUM_CHANNEL_TIME_STAMIN    0
#define WNI_CFG_ACTIVE_MAXIMUM_CHANNEL_TIME_STAMAX    65535
#define WNI_CFG_ACTIVE_MAXIMUM_CHANNEL_TIME_STADEF    40

#define WNI_CFG_PASSIVE_MINIMUM_CHANNEL_TIME_STAMIN    0
#define WNI_CFG_PASSIVE_MINIMUM_CHANNEL_TIME_STAMAX    65535
#define WNI_CFG_PASSIVE_MINIMUM_CHANNEL_TIME_STADEF    60

#define WNI_CFG_PASSIVE_MAXIMUM_CHANNEL_TIME_STAMIN    0
#define WNI_CFG_PASSIVE_MAXIMUM_CHANNEL_TIME_STAMAX    65535
#define WNI_CFG_PASSIVE_MAXIMUM_CHANNEL_TIME_STADEF    110

#define WNI_CFG_PS_ENABLE_BCN_FILTER_STAMIN    0
#define WNI_CFG_PS_ENABLE_BCN_FILTER_STAMAX    1
#define WNI_CFG_PS_ENABLE_BCN_FILTER_STADEF    1

#define WNI_CFG_PS_ENABLE_HEART_BEAT_STAMIN    0
#define WNI_CFG_PS_ENABLE_HEART_BEAT_STAMAX    1
#define WNI_CFG_PS_ENABLE_HEART_BEAT_STADEF    1

#define WNI_CFG_PS_ENABLE_RSSI_MONITOR_STAMIN    0
#define WNI_CFG_PS_ENABLE_RSSI_MONITOR_STAMAX    1
#define WNI_CFG_PS_ENABLE_RSSI_MONITOR_STADEF    0

#define WNI_CFG_RF_SETTLING_TIME_CLK_STAMIN    0
#define WNI_CFG_RF_SETTLING_TIME_CLK_STAMAX    60000
#define WNI_CFG_RF_SETTLING_TIME_CLK_STADEF    1500

#define WNI_CFG_PHY_MODE_STAMIN    0
#define WNI_CFG_PHY_MODE_STAMAX    3
#define WNI_CFG_PHY_MODE_STADEF    0

#define WNI_CFG_PHY_MODE_11A    0
#define WNI_CFG_PHY_MODE_11B    1
#define WNI_CFG_PHY_MODE_11G    2
#define WNI_CFG_PHY_MODE_NONE    3

#define WNI_CFG_DOT11_MODE_STAMIN    0
#define WNI_CFG_DOT11_MODE_STAMAX    10
#define WNI_CFG_DOT11_MODE_STADEF    0

#define WNI_CFG_DOT11_MODE_ALL    0
#define WNI_CFG_DOT11_MODE_11A    1
#define WNI_CFG_DOT11_MODE_11B    2
#define WNI_CFG_DOT11_MODE_11G    3
#define WNI_CFG_DOT11_MODE_11N    4
#define WNI_CFG_DOT11_MODE_11G_ONLY    5
#define WNI_CFG_DOT11_MODE_11N_ONLY    6
#define WNI_CFG_DOT11_MODE_11AC    7
#define WNI_CFG_DOT11_MODE_11AC_ONLY    8
#define WNI_CFG_DOT11_MODE_11AX    9
#define WNI_CFG_DOT11_MODE_11AX_ONLY    10

#define WNI_CFG_LISTEN_INTERVAL_STAMIN    0
#define WNI_CFG_LISTEN_INTERVAL_STAMAX    65535
#define WNI_CFG_LISTEN_INTERVAL_STADEF    1

#define WNI_CFG_CURRENT_CHANNEL_STAMIN    0
#define WNI_CFG_CURRENT_CHANNEL_STAMAX    173
#define WNI_CFG_CURRENT_CHANNEL_STADEF    1

#define WNI_CFG_RATE_ADAPTATION_TYPE_FIXED    0
#define WNI_CFG_RATE_ADAPTATION_TYPE_AUTO    1
#define WNI_CFG_RATE_ADAPTATION_TYPE_SNR_BASED    2

#define WNI_CFG_FIXED_RATE_STAMIN    0
#define WNI_CFG_FIXED_RATE_STAMAX    44
#define WNI_CFG_FIXED_RATE_STADEF    0

#define WNI_CFG_FIXED_RATE_AUTO    0
#define WNI_CFG_FIXED_RATE_1MBPS    1
#define WNI_CFG_FIXED_RATE_2MBPS    2
#define WNI_CFG_FIXED_RATE_5_5MBPS    3
#define WNI_CFG_FIXED_RATE_11MBPS    4
#define WNI_CFG_FIXED_RATE_6MBPS    5
#define WNI_CFG_FIXED_RATE_9MBPS    6
#define WNI_CFG_FIXED_RATE_12MBPS    7
#define WNI_CFG_FIXED_RATE_18MBPS    8
#define WNI_CFG_FIXED_RATE_24MBPS    9
#define WNI_CFG_FIXED_RATE_36MBPS    10
#define WNI_CFG_FIXED_RATE_48MBPS    11
#define WNI_CFG_FIXED_RATE_54MBPS    12
#define WNI_CFG_FIXED_RATE_6_5MBPS_MCS0_20MHZ_SIMO    13
#define WNI_CFG_FIXED_RATE_13MBPS_MCS1_20MHZ_SIMO    14
#define WNI_CFG_FIXED_RATE_19_5MBPS_MCS2_20MHZ_SIMO    15
#define WNI_CFG_FIXED_RATE_26MBPS_MCS3_20MHZ_SIMO    16
#define WNI_CFG_FIXED_RATE_39MBPS_MCS4_20MHZ_SIMO    17
#define WNI_CFG_FIXED_RATE_52MBPS_MCS5_20MHZ_SIMO    18
#define WNI_CFG_FIXED_RATE_58_5MBPS_MCS6_20MHZ_SIMO    19
#define WNI_CFG_FIXED_RATE_65MBPS_MCS7_20MHZ_SIMO    20
#define WNI_CFG_FIXED_RATE_7_2MBPS_MCS0_20MHZ_SIMO_SGI    21
#define WNI_CFG_FIXED_RATE_14_4MBPS_MCS1_20MHZ_SIMO_SGI    22
#define WNI_CFG_FIXED_RATE_21_7MBPS_MCS2_20MHZ_SIMO_SGI    23
#define WNI_CFG_FIXED_RATE_28_9MBPS_MCS3_20MHZ_SIMO_SGI    24
#define WNI_CFG_FIXED_RATE_43_3MBPS_MCS4_20MHZ_SIMO_SGI    25
#define WNI_CFG_FIXED_RATE_57_8MBPS_MCS5_20MHZ_SIMO_SGI    26
#define WNI_CFG_FIXED_RATE_65MBPS_MCS6_20MHZ_SIMO_SGI    27
#define WNI_CFG_FIXED_RATE_72_2MBPS_MCS7_20MHZ_SIMO_SGI    28
#define WNI_CFG_FIXED_RATE_0_25MBPS_SLR_20MHZ_SIMO    29
#define WNI_CFG_FIXED_RATE_0_5MBPS_SLR_20MHZ_SIMO    30
#define WNI_CFG_FIXED_RATE_68_25MBPS_QC_PROP_20MHZ_SIMO    31
#define WNI_CFG_FIXED_RATE_54MBPS_MCS3_40MHZ_SIMO    32
#define WNI_CFG_FIXED_RATE_81MBPS_MCS4_40MHZ_SIMO    33
#define WNI_CFG_FIXED_RATE_108MBPS_MCS5_40MHZ_SIMO    34
#define WNI_CFG_FIXED_RATE_121_5MBPS_MCS6_40MHZ_SIMO    35
#define WNI_CFG_FIXED_RATE_135MBPS_MCS7_40MHZ_SIMO    36
#define WNI_CFG_FIXED_RATE_15MBPS_MCS0_40MHZ_SIMO_SGI    37
#define WNI_CFG_FIXED_RATE_30MBPS_MCS1_40MHZ_SIMO_SGI    38
#define WNI_CFG_FIXED_RATE_45MBPS_MCS2_40MHZ_SIMO_SGI    39
#define WNI_CFG_FIXED_RATE_60MBPS_MCS3_40MHZ_SIMO_SGI    40
#define WNI_CFG_FIXED_RATE_90MBPS_MCS4_40MHZ_SIMO_SGI    41
#define WNI_CFG_FIXED_RATE_120MBPS_MCS5_40MHZ_SIMO_SGI    42
#define WNI_CFG_FIXED_RATE_135MBPS_MCS6_40MHZ_SIMO_SGI    43
#define WNI_CFG_FIXED_RATE_150MBPS_MCS7_40MHZ_SIMO_SGI    44

#define WNI_CFG_RETRYRATE_POLICY_MIN_SUPPORTED    0
#define WNI_CFG_RETRYRATE_POLICY_PRIMARY    1
#define WNI_CFG_RETRYRATE_POLICY_RESERVED    2
#define WNI_CFG_RETRYRATE_POLICY_CLOSEST    3
#define WNI_CFG_RETRYRATE_POLICY_AUTOSELECT    4
#define WNI_CFG_RETRYRATE_POLICY_MAX    5

#define WNI_CFG_APSD_ENABLED_STAMIN    0
#define WNI_CFG_APSD_ENABLED_STAMAX    1
#define WNI_CFG_APSD_ENABLED_STADEF    0

#define WNI_CFG_SHARED_KEY_AUTH_ENABLE_STAMIN    0
#define WNI_CFG_SHARED_KEY_AUTH_ENABLE_STAMAX    1
#define WNI_CFG_SHARED_KEY_AUTH_ENABLE_STADEF    1

#define WNI_CFG_OPEN_SYSTEM_AUTH_ENABLE_STAMIN    0
#define WNI_CFG_OPEN_SYSTEM_AUTH_ENABLE_STAMAX    1
#define WNI_CFG_OPEN_SYSTEM_AUTH_ENABLE_STADEF    1

#define WNI_CFG_AUTHENTICATION_TYPE_STAMIN    0
#define WNI_CFG_AUTHENTICATION_TYPE_STAMAX    65535
#define WNI_CFG_AUTHENTICATION_TYPE_STADEF    0

#define WNI_CFG_PRIVACY_ENABLED_STAMIN    0
#define WNI_CFG_PRIVACY_ENABLED_STAMAX    1
#define WNI_CFG_PRIVACY_ENABLED_STADEF    0

#define WNI_CFG_SHORT_PREAMBLE_STAMIN    0
#define WNI_CFG_SHORT_PREAMBLE_STAMAX    1
#define WNI_CFG_SHORT_PREAMBLE_STADEF    1

#define WNI_CFG_SHORT_SLOT_TIME_STAMIN    0
#define WNI_CFG_SHORT_SLOT_TIME_STAMAX    1
#define WNI_CFG_SHORT_SLOT_TIME_STADEF    1

#define WNI_CFG_ACCEPT_SHORT_SLOT_ASSOC_ONLY_STAMIN    0
#define WNI_CFG_ACCEPT_SHORT_SLOT_ASSOC_ONLY_STAMAX    1
#define WNI_CFG_ACCEPT_SHORT_SLOT_ASSOC_ONLY_STADEF    0

#define WNI_CFG_QOS_ENABLED_STAMIN    0
#define WNI_CFG_QOS_ENABLED_STAMAX    1
#define WNI_CFG_QOS_ENABLED_STADEF    0

#define WNI_CFG_HCF_ENABLED_STAMIN    0
#define WNI_CFG_HCF_ENABLED_STAMAX    1
#define WNI_CFG_HCF_ENABLED_STADEF    0

#define WNI_CFG_RSN_ENABLED_STAMIN    0
#define WNI_CFG_RSN_ENABLED_STAMAX    1
#define WNI_CFG_RSN_ENABLED_STADEF    0

#define WNI_CFG_BACKGROUND_SCAN_PERIOD_STAMIN    0
#define WNI_CFG_BACKGROUND_SCAN_PERIOD_STAMAX    180000
#define WNI_CFG_BACKGROUND_SCAN_PERIOD_STADEF    5000

#define WNI_CFG_11D_ENABLED_STAMIN    0
#define WNI_CFG_11D_ENABLED_STAMAX    1
#define WNI_CFG_11D_ENABLED_STADEF    1

#define WNI_CFG_NETWORK_DENSITY_LOW    0
#define WNI_CFG_NETWORK_DENSITY_MEDIUM    1
#define WNI_CFG_NETWORK_DENSITY_HIGH    2
#define WNI_CFG_NETWORK_DENSITY_ADAPTIVE    3

#define WNI_CFG_ADAPTIVE_THRESHOLD_ALGORITHM_CARRIER    1
#define WNI_CFG_ADAPTIVE_THRESHOLD_ALGORITHM_CORRELATION    2

#define WNI_CFG_CURRENT_TX_POWER_LEVEL_STAMIN    0
#define WNI_CFG_CURRENT_TX_POWER_LEVEL_STAMAX    128
#define WNI_CFG_CURRENT_TX_POWER_LEVEL_STADEF    27

#define WNI_CFG_11H_ENABLED_STAMIN    0
#define WNI_CFG_11H_ENABLED_STAMAX    1
#define WNI_CFG_11H_ENABLED_STADEF    1

#define WNI_CFG_11G_SHORT_PREAMBLE_ENABLED_STAMIN    0
#define WNI_CFG_11G_SHORT_PREAMBLE_ENABLED_STAMAX    1
#define WNI_CFG_11G_SHORT_PREAMBLE_ENABLED_STADEF    0

#define WNI_CFG_11G_SHORT_SLOT_TIME_ENABLED_STAMIN    0
#define WNI_CFG_11G_SHORT_SLOT_TIME_ENABLED_STAMAX    1
#define WNI_CFG_11G_SHORT_SLOT_TIME_ENABLED_STADEF    1

#define WNI_CFG_11G_ONLY_POLICY_STAMIN    0
#define WNI_CFG_11G_ONLY_POLICY_STAMAX    1
#define WNI_CFG_11G_ONLY_POLICY_STADEF    0

#define WNI_CFG_WME_ENABLED_STAMIN    0
#define WNI_CFG_WME_ENABLED_STAMAX    1
#define WNI_CFG_WME_ENABLED_STADEF    1

#define WNI_CFG_MAX_SP_LENGTH_STAMIN    0
#define WNI_CFG_MAX_SP_LENGTH_STAMAX    3
#define WNI_CFG_MAX_SP_LENGTH_STADEF    0

#define WNI_CFG_WSM_ENABLED_STAMIN    0
#define WNI_CFG_WSM_ENABLED_STAMAX    1
#define WNI_CFG_WSM_ENABLED_STADEF    0

#define WNI_CFG_EDCA_PROFILE_STAMIN    0
#define WNI_CFG_EDCA_PROFILE_STAMAX    255
#define WNI_CFG_EDCA_PROFILE_STADEF    1

#define WNI_CFG_EDCA_PROFILE_ANI    0
#define WNI_CFG_EDCA_PROFILE_WMM    1
#define WNI_CFG_EDCA_PROFILE_TIT_DEMO    2
#define WNI_CFG_EDCA_PROFILE_ETSI_EUROPE   3
#define WNI_CFG_EDCA_PROFILE_MAX    4

#define WNI_CFG_LOCAL_POWER_CONSTRAINT_STAMIN    0
#define WNI_CFG_LOCAL_POWER_CONSTRAINT_STAMAX    255
#define WNI_CFG_LOCAL_POWER_CONSTRAINT_STADEF    0

#define WNI_CFG_ADMIT_POLICY_STAMIN    0
#define WNI_CFG_ADMIT_POLICY_STAMAX    2
#define WNI_CFG_ADMIT_POLICY_STADEF    0

#define WNI_CFG_ADMIT_POLICY_ADMIT_ALL    0
#define WNI_CFG_ADMIT_POLICY_REJECT_ALL    1
#define WNI_CFG_ADMIT_POLICY_BW_FACTOR    2

#define WNI_CFG_ADMIT_BWFACTOR_STAMIN    0
#define WNI_CFG_ADMIT_BWFACTOR_STAMAX    100
#define WNI_CFG_ADMIT_BWFACTOR_STADEF    20

#define WNI_CFG_CHANNEL_BONDING_MODE_STAMIN    0
#define WNI_CFG_CHANNEL_BONDING_MODE_STAMAX    10
#define WNI_CFG_CHANNEL_BONDING_MODE_STADEF    0

#define WNI_CFG_CHANNEL_BONDING_MODE_DISABLE    0
#define WNI_CFG_CHANNEL_BONDING_MODE_ENABLE    1
#define WNI_CFG_CHANNEL_BONDING_MODE_IF_NO_LEGACY_BSS    2
#define WNI_CFG_CHANNEL_BONDING_MODE_IF_NO_LEGACY_ALL    3
#define WNI_CFG_CHANNEL_BONDING_MODE_INTELLIGENT    4

#define WNI_CFG_BLOCK_ACK_ENABLED_STAMIN    0
#define WNI_CFG_BLOCK_ACK_ENABLED_STAMAX    3
#define WNI_CFG_BLOCK_ACK_ENABLED_STADEF    0

#define WNI_CFG_BLOCK_ACK_ENABLED_DELAYED    0
#define WNI_CFG_BLOCK_ACK_ENABLED_IMMEDIATE    1

#define WNI_CFG_HT_RX_STBC_STAMIN    0
#define WNI_CFG_HT_RX_STBC_STAMAX    3
#define WNI_CFG_HT_RX_STBC_STADEF    1

#define WNI_CFG_HT_CAP_INFO_STAMIN    0
#define WNI_CFG_HT_CAP_INFO_STAMAX    65535
#define WNI_CFG_HT_CAP_INFO_STADEF    364

#define WNI_CFG_HT_CAP_INFO_ADVANCE_CODING    0
#define WNI_CFG_HT_CAP_INFO_SUPPORTED_CHAN_WIDTH_SET    1
#define WNI_CFG_HT_CAP_INFO_SM_POWER_SAVE    2
#define WNI_CFG_HT_CAP_INFO_GREEN_FIELD    4
#define WNI_CFG_HT_CAP_INFO_SHORT_GI_20MHZ    5
#define WNI_CFG_HT_CAP_INFO_SHORT_GI_40MHZ    6
#define WNI_CFG_HT_CAP_INFO_TX_STBC    7
#define WNI_CFG_HT_CAP_INFO_RX_STBC    8
#define WNI_CFG_HT_CAP_INFO_DELAYED_BA    10
#define WNI_CFG_HT_CAP_INFO_MAX_AMSDU_SIZE    11
#define WNI_CFG_HT_CAP_INFO_DSSS_CCK_MODE_40MHZ    12
#define WNI_CFG_HT_CAP_INFO_PSMP    13
#define WNI_CFG_HT_CAP_INFO_STBC_CONTROL_FRAME    14
#define WNI_CFG_HT_CAP_INFO_LSIG_TXOP_PROTECTION    15

#define WNI_CFG_HT_AMPDU_PARAMS_STAMIN    0
#define WNI_CFG_HT_AMPDU_PARAMS_STAMAX    255
#define WNI_CFG_HT_AMPDU_PARAMS_STADEF    0

#define WNI_CFG_HT_AMPDU_PARAMS_MAX_RX_AMPDU_FACTOR    0
#define WNI_CFG_HT_AMPDU_PARAMS_MPDU_DENSITY    2
#define WNI_CFG_HT_AMPDU_PARAMS_RESERVED    5

#define WNI_CFG_EXT_HT_CAP_INFO_STAMIN    0
#define WNI_CFG_EXT_HT_CAP_INFO_STAMAX    65535
#define WNI_CFG_EXT_HT_CAP_INFO_STADEF    1024

#define WNI_CFG_EXT_HT_CAP_INFO_PCO    0
#define WNI_CFG_EXT_HT_CAP_INFO_TRANSITION_TIME    1
#define WNI_CFG_EXT_HT_CAP_INFO_RESERVED1    3
#define WNI_CFG_EXT_HT_CAP_INFO_MCS_FEEDBACK    8
#define WNI_CFG_EXT_HT_CAP_INFO_HTC_SUPPORT    10
#define WNI_CFG_EXT_HT_CAP_INFO_RD_RESPONDER    11
#define WNI_CFG_EXT_HT_CAP_INFO_RESERVED2    12

#define WNI_CFG_TX_BF_CAP_STAMIN    0
#define WNI_CFG_TX_BF_CAP_STAMAX    4294967295
#define WNI_CFG_TX_BF_CAP_STADEF    0

#define WNI_CFG_AS_CAP_STAMIN    0
#define WNI_CFG_AS_CAP_STAMAX    255
#define WNI_CFG_AS_CAP_STADEF    0

#define WNI_CFG_AS_CAP_ANTENNA_SELECTION    0
#define WNI_CFG_AS_CAP_EXPLICIT_CSI_FEEDBACK_TX    1
#define WNI_CFG_AS_CAP_ANTENNA_INDICES_FEEDBACK_TX    2
#define WNI_CFG_AS_CAP_EXPLICIT_CSI_FEEDBACK    3
#define WNI_CFG_AS_CAP_ANTENNA_INDICES_FEEDBACK    4
#define WNI_CFG_AS_CAP_RX_AS    5
#define WNI_CFG_AS_CAP_TX_SOUNDING_PPDUS    6
#define WNI_CFG_AS_CAP_RESERVED    7

#define WNI_CFG_HT_INFO_FIELD1_STAMIN    0
#define WNI_CFG_HT_INFO_FIELD1_STAMAX    255
#define WNI_CFG_HT_INFO_FIELD1_STADEF    15

#define WNI_CFG_HT_INFO_FIELD1_SECONDARY_CHANNEL_OFFSET    0
#define WNI_CFG_HT_INFO_FIELD1_RECOMMENDED_CHANNEL_WIDTH    2
#define WNI_CFG_HT_INFO_FIELD1_RIFS_MODE    3
#define WNI_CFG_HT_INFO_FIELD1_PSMP_ACCESS_ONLY    4
#define WNI_CFG_HT_INFO_FIELD1_SERVICE_INTERVAL_GRANULARITY    5

#define WNI_CFG_HT_INFO_FIELD2_STAMIN    0
#define WNI_CFG_HT_INFO_FIELD2_STAMAX    65535
#define WNI_CFG_HT_INFO_FIELD2_STADEF    0

#define WNI_CFG_HT_INFO_FIELD2_OP_MODE    0
#define WNI_CFG_HT_INFO_FIELD2_NON_GF_DEVICES_PRESENT    2
#define WNI_CFG_HT_INFO_FIELD2_RESERVED    3

#define WNI_CFG_HT_INFO_FIELD3_STAMIN    0
#define WNI_CFG_HT_INFO_FIELD3_STAMAX    65535
#define WNI_CFG_HT_INFO_FIELD3_STADEF    0

#define WNI_CFG_HT_INFO_FIELD3_BASIC_STBC_MCS    0
#define WNI_CFG_HT_INFO_FIELD3_DUAL_STBC_PROTECTION    7
#define WNI_CFG_HT_INFO_FIELD3_SECONDARY_BEACON    8
#define WNI_CFG_HT_INFO_FIELD3_LSIG_TXOP_PROTECTION_FULL_SUPPORT    9
#define WNI_CFG_HT_INFO_FIELD3_PCO_ACTIVE    10
#define WNI_CFG_HT_INFO_FIELD3_PCO_PHASE    11
#define WNI_CFG_HT_INFO_FIELD3_RESERVED    12

#define WNI_CFG_GREENFIELD_CAPABILITY_STAMIN    0
#define WNI_CFG_GREENFIELD_CAPABILITY_STAMAX    1
#define WNI_CFG_GREENFIELD_CAPABILITY_STADEF    0

#define WNI_CFG_GREENFIELD_CAPABILITY_ENABLE    1
#define WNI_CFG_GREENFIELD_CAPABILITY_DISABLE    0

#define WNI_CFG_VHT_MAX_MPDU_LENGTH_STAMIN    0
#define WNI_CFG_VHT_MAX_MPDU_LENGTH_STAMAX    2
#define WNI_CFG_VHT_MAX_MPDU_LENGTH_STADEF    0

#define WNI_CFG_VHT_SUPPORTED_CHAN_WIDTH_SET_STAMIN    0
#define WNI_CFG_VHT_SUPPORTED_CHAN_WIDTH_SET_STAMAX    2
#define WNI_CFG_VHT_SUPPORTED_CHAN_WIDTH_SET_STADEF    0

#define WNI_CFG_VHT_LDPC_CODING_CAP_STAMIN    0
#define WNI_CFG_VHT_LDPC_CODING_CAP_STAMAX    1
#define WNI_CFG_VHT_LDPC_CODING_CAP_STADEF    0

#define WNI_CFG_VHT_SHORT_GI_80MHZ_STAMIN    0
#define WNI_CFG_VHT_SHORT_GI_80MHZ_STAMAX    1
#define WNI_CFG_VHT_SHORT_GI_80MHZ_STADEF    1

#define WNI_CFG_VHT_SHORT_GI_160_AND_80_PLUS_80MHZ_STAMIN    0
#define WNI_CFG_VHT_SHORT_GI_160_AND_80_PLUS_80MHZ_STAMAX    1
#define WNI_CFG_VHT_SHORT_GI_160_AND_80_PLUS_80MHZ_STADEF    0

#define WNI_CFG_VHT_TXSTBC_STAMIN    0
#define WNI_CFG_VHT_TXSTBC_STAMAX    1
#define WNI_CFG_VHT_TXSTBC_STADEF    0

#define WNI_CFG_VHT_RXSTBC_STAMIN    0
#define WNI_CFG_VHT_RXSTBC_STAMAX    1
#define WNI_CFG_VHT_RXSTBC_STADEF    1

#define WNI_CFG_VHT_SU_BEAMFORMER_CAP_STAMIN    0
#define WNI_CFG_VHT_SU_BEAMFORMER_CAP_STAMAX    1
#define WNI_CFG_VHT_SU_BEAMFORMER_CAP_STADEF    0

#define WNI_CFG_VHT_SU_BEAMFORMEE_CAP_STAMIN    0
#define WNI_CFG_VHT_SU_BEAMFORMEE_CAP_STAMAX    1
#define WNI_CFG_VHT_SU_BEAMFORMEE_CAP_STADEF    1

#define WNI_CFG_VHT_CSN_BEAMFORMEE_ANT_SUPPORTED_STAMIN    0
#define WNI_CFG_VHT_CSN_BEAMFORMEE_ANT_SUPPORTED_STAMAX    8
#define WNI_CFG_VHT_CSN_BEAMFORMEE_ANT_SUPPORTED_STADEF    8
/*
 * WNI_CFG_VHT_CSN_BEAMFORMEE_ANT_SUPPORTED_FW_DEF + 1 is
 * assumed to be the default fw supported BF antennas, if fw
 * says it supports 8 antennas in rx ready event and if
 * gTxBFCsnValue INI value is configured above 3, set
 * the same to WNI_CFG_VHT_CSN_BEAMFORMEE_ANT_SUPPORTED.
 * Otherwise, fall back and set fw default value[3].
 */
#define WNI_CFG_VHT_CSN_BEAMFORMEE_ANT_SUPPORTED_FW_DEF    3

#define WNI_CFG_VHT_NUM_SOUNDING_DIMENSIONS_STAMIN    0
#define WNI_CFG_VHT_NUM_SOUNDING_DIMENSIONS_STAMAX    3
#define WNI_CFG_VHT_NUM_SOUNDING_DIMENSIONS_STADEF    0

#define WNI_CFG_VHT_MU_BEAMFORMER_CAP_STAMIN    0
#define WNI_CFG_VHT_MU_BEAMFORMER_CAP_STAMAX    1
#define WNI_CFG_VHT_MU_BEAMFORMER_CAP_STADEF    0

#define WNI_CFG_VHT_MU_BEAMFORMEE_CAP_STAMIN    0
#define WNI_CFG_VHT_MU_BEAMFORMEE_CAP_STAMAX    1
#define WNI_CFG_VHT_MU_BEAMFORMEE_CAP_STADEF    0

#define WNI_CFG_VHT_TXOP_PS_STAMIN    0
#define WNI_CFG_VHT_TXOP_PS_STAMAX    1
#define WNI_CFG_VHT_TXOP_PS_STADEF    0

#define WNI_CFG_VHT_HTC_VHTC_CAP_STAMIN    0
#define WNI_CFG_VHT_HTC_VHTC_CAP_STAMAX    1
#define WNI_CFG_VHT_HTC_VHTC_CAP_STADEF    0

#define WNI_CFG_VHT_AMPDU_LEN_EXPONENT_STAMIN    0
#define WNI_CFG_VHT_AMPDU_LEN_EXPONENT_STAMAX    7
#define WNI_CFG_VHT_AMPDU_LEN_EXPONENT_STADEF    3

#define WNI_CFG_VHT_LINK_ADAPTATION_CAP_STAMIN    0
#define WNI_CFG_VHT_LINK_ADAPTATION_CAP_STAMAX    3
#define WNI_CFG_VHT_LINK_ADAPTATION_CAP_STADEF    0

#define WNI_CFG_VHT_RX_ANT_PATTERN_STAMIN    0
#define WNI_CFG_VHT_RX_ANT_PATTERN_STAMAX    1
#define WNI_CFG_VHT_RX_ANT_PATTERN_STADEF    1

#define WNI_CFG_VHT_TX_ANT_PATTERN_STAMIN    0
#define WNI_CFG_VHT_TX_ANT_PATTERN_STAMAX    1
#define WNI_CFG_VHT_TX_ANT_PATTERN_STADEF    1

#define WNI_CFG_VHT_RX_MCS_MAP_STAMIN    0
#define WNI_CFG_VHT_RX_MCS_MAP_STAMAX    65535
#define WNI_CFG_VHT_RX_MCS_MAP_STADEF    65534

#define WNI_CFG_VHT_TX_MCS_MAP_STAMIN    0
#define WNI_CFG_VHT_TX_MCS_MAP_STAMAX    65535
#define WNI_CFG_VHT_TX_MCS_MAP_STADEF    65534

#define WNI_CFG_VHT_RX_HIGHEST_SUPPORTED_DATA_RATE_STAMIN    0
#define WNI_CFG_VHT_RX_HIGHEST_SUPPORTED_DATA_RATE_STAMAX    780
#define WNI_CFG_VHT_RX_HIGHEST_SUPPORTED_DATA_RATE_STADEF    780

#define WNI_CFG_VHT_TX_HIGHEST_SUPPORTED_DATA_RATE_STAMIN    0
#define WNI_CFG_VHT_TX_HIGHEST_SUPPORTED_DATA_RATE_STAMAX    780
#define WNI_CFG_VHT_TX_HIGHEST_SUPPORTED_DATA_RATE_STADEF    780

#define WNI_CFG_VHT_BASIC_MCS_SET_STAMIN    0
#define WNI_CFG_VHT_BASIC_MCS_SET_STAMAX    65535
#define WNI_CFG_VHT_BASIC_MCS_SET_STADEF    65534

#define WNI_CFG_VHT_MU_MIMO_CAP_STA_COUNT_STAMIN    0
#define WNI_CFG_VHT_MU_MIMO_CAP_STA_COUNT_STAMAX    4
#define WNI_CFG_VHT_MU_MIMO_CAP_STA_COUNT_STADEF    0

#define WNI_CFG_VHT_SS_UNDER_UTIL_STAMIN    0
#define WNI_CFG_VHT_SS_UNDER_UTIL_STAMAX    0
#define WNI_CFG_VHT_SS_UNDER_UTIL_STADEF    0

#define WNI_CFG_VHT_40MHZ_UTILIZATION_STAMIN    0
#define WNI_CFG_VHT_40MHZ_UTILIZATION_STAMAX    0
#define WNI_CFG_VHT_40MHZ_UTILIZATION_STADEF    0

#define WNI_CFG_VHT_80MHZ_UTILIZATION_STAMIN    0
#define WNI_CFG_VHT_80MHZ_UTILIZATION_STAMAX    0
#define WNI_CFG_VHT_80MHZ_UTILIZATION_STADEF    0

#define WNI_CFG_VHT_160MHZ_UTILIZATION_STAMIN    0
#define WNI_CFG_VHT_160MHZ_UTILIZATION_STAMAX    0
#define WNI_CFG_VHT_160MHZ_UTILIZATION_STADEF    0

#define WNI_CFG_MAX_AMSDU_LENGTH_STAMIN    0
#define WNI_CFG_MAX_AMSDU_LENGTH_STAMAX    1
#define WNI_CFG_MAX_AMSDU_LENGTH_STADEF    0

#define WNI_CFG_MAX_AMSDU_LENGTH_SHORT_3839_BYTES    0
#define WNI_CFG_MAX_AMSDU_LENGTH_LONG_7935__BYTES    1

#define WNI_CFG_MPDU_DENSITY_STAMIN    0
#define WNI_CFG_MPDU_DENSITY_STAMAX    7
#define WNI_CFG_MPDU_DENSITY_STADEF    7

#define WNI_CFG_NUM_BUFF_ADVERT_STAMIN    0
#define WNI_CFG_NUM_BUFF_ADVERT_STAMAX    128
#define WNI_CFG_NUM_BUFF_ADVERT_STADEF    64

#define WNI_CFG_MAX_RX_AMPDU_FACTOR_STAMIN    0
#define WNI_CFG_MAX_RX_AMPDU_FACTOR_STAMAX    3
#define WNI_CFG_MAX_RX_AMPDU_FACTOR_STADEF    3

#define WNI_CFG_SHORT_GI_20MHZ_STAMIN    0
#define WNI_CFG_SHORT_GI_20MHZ_STAMAX    1
#define WNI_CFG_SHORT_GI_20MHZ_STADEF    1

#define WNI_CFG_SHORT_GI_20MHZ_ENABLE    1
#define WNI_CFG_SHORT_GI_20MHZ_DISABLE    0

#define WNI_CFG_SHORT_GI_40MHZ_STAMIN    0
#define WNI_CFG_SHORT_GI_40MHZ_STAMAX    1
#define WNI_CFG_SHORT_GI_40MHZ_STADEF    0

#define WNI_CFG_SHORT_GI_40MHZ_ENABLE    1
#define WNI_CFG_SHORT_GI_40MHZ_DISABLE    0

#define WNI_CFG_SCAN_IN_POWERSAVE_STAMIN    0
#define WNI_CFG_SCAN_IN_POWERSAVE_STAMAX    1
#define WNI_CFG_SCAN_IN_POWERSAVE_STADEF    1

#define WNI_CFG_WOWLAN_UCAST_PATTERN_FILTER_ENABLE_STAMIN    0
#define WNI_CFG_WOWLAN_UCAST_PATTERN_FILTER_ENABLE_STAMAX    1
#define WNI_CFG_WOWLAN_UCAST_PATTERN_FILTER_ENABLE_STADEF    1

#define WNI_CFG_WOWLAN_CHANNEL_SWITCH_ENABLE_STAMIN    0
#define WNI_CFG_WOWLAN_CHANNEL_SWITCH_ENABLE_STAMAX    1
#define WNI_CFG_WOWLAN_CHANNEL_SWITCH_ENABLE_STADEF    1

#define WNI_CFG_WOWLAN_DEAUTH_ENABLE_STAMIN    0
#define WNI_CFG_WOWLAN_DEAUTH_ENABLE_STAMAX    1
#define WNI_CFG_WOWLAN_DEAUTH_ENABLE_STADEF    1

#define WNI_CFG_WOWLAN_DISASSOC_ENABLE_STAMIN    0
#define WNI_CFG_WOWLAN_DISASSOC_ENABLE_STAMAX    1
#define WNI_CFG_WOWLAN_DISASSOC_ENABLE_STADEF    1

#define WNI_CFG_IBSS_AUTO_BSSID_STAMIN    0
#define WNI_CFG_IBSS_AUTO_BSSID_STAMAX    1
#define WNI_CFG_IBSS_AUTO_BSSID_STADEF    1

#define WNI_CFG_WPS_ENABLE_STAMIN    0
#define WNI_CFG_WPS_ENABLE_STAMAX    255
#define WNI_CFG_WPS_ENABLE_STADEF    0

#define WNI_CFG_WPS_ENABLE_AP    1
#define WNI_CFG_WPS_ENABLE_STA    2

#define WNI_CFG_WPS_STATE_STAMIN    0
#define WNI_CFG_WPS_STATE_STAMAX    255
#define WNI_CFG_WPS_STATE_STADEF    1

#define WNI_CFG_WPS_VERSION_STAMIN    0
#define WNI_CFG_WPS_VERSION_STAMAX    255
#define WNI_CFG_WPS_VERSION_STADEF    16

#define WNI_CFG_WPS_CFG_METHOD_STAMIN    0
#define WNI_CFG_WPS_CFG_METHOD_STAMAX    4294967295
#define WNI_CFG_WPS_CFG_METHOD_STADEF    8

#define WNI_CFG_WPS_PRIMARY_DEVICE_CATEGORY_STAMIN    0
#define WNI_CFG_WPS_PRIMARY_DEVICE_CATEGORY_STAMAX    65535
#define WNI_CFG_WPS_PRIMARY_DEVICE_CATEGORY_STADEF    1

#define WNI_CFG_WPS_PIMARY_DEVICE_OUI_STAMIN    0
#define WNI_CFG_WPS_PIMARY_DEVICE_OUI_STAMAX    4294967295
#define WNI_CFG_WPS_PIMARY_DEVICE_OUI_STADEF    5304836

#define WNI_CFG_WPS_DEVICE_SUB_CATEGORY_STAMIN    0
#define WNI_CFG_WPS_DEVICE_SUB_CATEGORY_STAMAX    65535
#define WNI_CFG_WPS_DEVICE_SUB_CATEGORY_STADEF    1

#define WNI_CFG_WPS_DEVICE_PASSWORD_ID_STAMIN    0
#define WNI_CFG_WPS_DEVICE_PASSWORD_ID_STAMAX    4294967295
#define WNI_CFG_WPS_DEVICE_PASSWORD_ID_STADEF    0

#define WNI_CFG_TELE_BCN_WAKEUP_EN_STAMIN    0
#define WNI_CFG_TELE_BCN_WAKEUP_EN_STAMAX    1
#define WNI_CFG_TELE_BCN_WAKEUP_EN_STADEF    0

#define WNI_CFG_TELE_BCN_MAX_LI_STAMIN    0
#define WNI_CFG_TELE_BCN_MAX_LI_STAMAX    7
#define WNI_CFG_TELE_BCN_MAX_LI_STADEF    5

#define WNI_CFG_ASSOC_STA_LIMIT_STAMIN    1
#define WNI_CFG_ASSOC_STA_LIMIT_STAMAX    32
#define WNI_CFG_ASSOC_STA_LIMIT_STADEF    10

#define WNI_CFG_ENABLE_LTE_COEX_STAMIN    0
#define WNI_CFG_ENABLE_LTE_COEX_STAMAX    1
#define WNI_CFG_ENABLE_LTE_COEX_STADEF    0

#define WNI_CFG_ENABLE_MCC_ADAPTIVE_SCHED_STAMIN    0
#define WNI_CFG_ENABLE_MCC_ADAPTIVE_SCHED_STAMAX    1
#define WNI_CFG_ENABLE_MCC_ADAPTIVE_SCHED_STADEF    0

#define WNI_CFG_DISABLE_LDPC_WITH_TXBF_AP_STAMIN    0
#define WNI_CFG_DISABLE_LDPC_WITH_TXBF_AP_STAMAX    1
#define WNI_CFG_DISABLE_LDPC_WITH_TXBF_AP_STADEF    0

#define WNI_CFG_RMC_ACTION_PERIOD_FREQUENCY_STAMIN    100
#define WNI_CFG_RMC_ACTION_PERIOD_FREQUENCY_STAMAX    1000
#define WNI_CFG_RMC_ACTION_PERIOD_FREQUENCY_STADEF    300

#define WNI_CFG_IBSS_ATIM_WIN_SIZE_STAMIN    0
#define WNI_CFG_IBSS_ATIM_WIN_SIZE_STAMAX    100
#define WNI_CFG_IBSS_ATIM_WIN_SIZE_STADEF    0

#define WNI_CFG_DFS_MASTER_ENABLED_STAMIN    0
#define WNI_CFG_DFS_MASTER_ENABLED_STAMAX    1
#define WNI_CFG_DFS_MASTER_ENABLED_STADEF    0

#define WNI_CFG_VHT_ENABLE_TXBF_20MHZ_STAMIN    0
#define WNI_CFG_VHT_ENABLE_TXBF_20MHZ_STAMAX    1
#define WNI_CFG_VHT_ENABLE_TXBF_20MHZ_STADEF    0

#define WNI_CFG_MAX_HT_MCS_TX_DATA_STAMIN  0x0
#define WNI_CFG_MAX_HT_MCS_TX_DATA_STAMAX  0x17f
#define WNI_CFG_MAX_HT_MCS_TX_DATA_STADEF  0x0

#define WNI_CFG_DISABLE_ABG_RATE_FOR_TX_DATA_STAMIN  0
#define WNI_CFG_DISABLE_ABG_RATE_FOR_TX_DATA_STAMAX  1
#define WNI_CFG_DISABLE_ABG_RATE_FOR_TX_DATA_STADEF  0

#define WNI_CFG_RATE_FOR_TX_MGMT_STAMIN   0x0
#define WNI_CFG_RATE_FOR_TX_MGMT_STAMAX   0xFF
#define WNI_CFG_RATE_FOR_TX_MGMT_STADEF   0xFF

#define WNI_CFG_HE_CONTROL_STAMIN 0
#define WNI_CFG_HE_CONTROL_STAMAX 1
#define WNI_CFG_HE_CONTROL_STADEF 0

#define WNI_CFG_HE_TWT_REQUESTOR_STAMIN 0
#define WNI_CFG_HE_TWT_REQUESTOR_STAMAX 1
#define WNI_CFG_HE_TWT_REQUESTOR_STADEF 0

#define WNI_CFG_HE_TWT_RESPONDER_STAMIN 0
#define WNI_CFG_HE_TWT_RESPONDER_STAMAX 1
#define WNI_CFG_HE_TWT_RESPONDER_STADEF 0

#define WNI_CFG_HE_FRAGMENTATION_STAMIN 0
#define WNI_CFG_HE_FRAGMENTATION_STAMAX 0x3
#define WNI_CFG_HE_FRAGMENTATION_STADEF 0

#define WNI_CFG_HE_MAX_FRAG_MSDU_STAMIN 0
#define WNI_CFG_HE_MAX_FRAG_MSDU_STAMAX 0x7
#define WNI_CFG_HE_MAX_FRAG_MSDU_STADEF 0

#define WNI_CFG_HE_MIN_FRAG_SIZE_STAMIN 0
#define WNI_CFG_HE_MIN_FRAG_SIZE_STAMAX 0x3
#define WNI_CFG_HE_MIN_FRAG_SIZE_STADEF 0

#define WNI_CFG_HE_TRIG_PAD_STAMIN 0
#define WNI_CFG_HE_TRIG_PAD_STAMAX 2
#define WNI_CFG_HE_TRIG_PAD_STADEF 0

#define WNI_CFG_HE_MTID_AGGR_RX_STAMIN 0
#define WNI_CFG_HE_MTID_AGGR_RX_STAMAX 0x7
#define WNI_CFG_HE_MTID_AGGR_RX_STADEF 0

#define WNI_CFG_HE_LINK_ADAPTATION_STAMIN 0
#define WNI_CFG_HE_LINK_ADAPTATION_STAMAX 0x3
#define WNI_CFG_HE_LINK_ADAPTATION_STADEF 0

#define WNI_CFG_HE_ALL_ACK_STAMIN 0
#define WNI_CFG_HE_ALL_ACK_STAMAX 1
#define WNI_CFG_HE_ALL_ACK_STADEF 0

#define WNI_CFG_HE_TRIGD_RSP_SCHEDULING_STAMIN 0
#define WNI_CFG_HE_TRIGD_RSP_SCHEDULING_STAMAX 1
#define WNI_CFG_HE_TRIGD_RSP_SCHEDULING_STADEF 0

#define WNI_CFG_HE_BUFFER_STATUS_RPT_STAMIN 0
#define WNI_CFG_HE_BUFFER_STATUS_RPT_STAMAX 1
#define WNI_CFG_HE_BUFFER_STATUS_RPT_STADEF 0

#define WNI_CFG_HE_BCAST_TWT_STAMIN 0
#define WNI_CFG_HE_BCAST_TWT_STAMAX 1
#define WNI_CFG_HE_BCAST_TWT_STADEF 0

#define WNI_CFG_HE_BA_32BIT_STAMIN 0
#define WNI_CFG_HE_BA_32BIT_STAMAX 1
#define WNI_CFG_HE_BA_32BIT_STADEF 0

#define WNI_CFG_HE_MU_CASCADING_STAMIN 0
#define WNI_CFG_HE_MU_CASCADING_STAMAX 1
#define WNI_CFG_HE_MU_CASCADING_STADEF 0

#define WNI_CFG_HE_MULTI_TID_STAMIN 0
#define WNI_CFG_HE_MULTI_TID_STAMAX 1
#define WNI_CFG_HE_MULTI_TID_STADEF 0

#define WNI_CFG_HE_DL_MU_BA_STAMIN 0
#define WNI_CFG_HE_DL_MU_BA_STAMAX 1
#define WNI_CFG_HE_DL_MU_BA_STADEF 0

#define WNI_CFG_HE_OMI_STAMIN 0
#define WNI_CFG_HE_OMI_STAMAX 1
#define WNI_CFG_HE_OMI_STADEF 0

#define WNI_CFG_HE_OFDMA_RA_STAMIN 0
#define WNI_CFG_HE_OFDMA_RA_STAMAX 1
#define WNI_CFG_HE_OFDMA_RA_STADEF 0

#define WNI_CFG_HE_MAX_AMPDU_LEN_STAMIN 0
#define WNI_CFG_HE_MAX_AMPDU_LEN_STAMAX 0x3
#define WNI_CFG_HE_MAX_AMPDU_LEN_STADEF 0

#define WNI_CFG_HE_AMSDU_FRAG_STAMIN 0
#define WNI_CFG_HE_AMSDU_FRAG_STAMAX 1
#define WNI_CFG_HE_AMSDU_FRAG_STADEF 0

#define WNI_CFG_HE_FLEX_TWT_SCHED_STAMIN 0
#define WNI_CFG_HE_FLEX_TWT_SCHED_STAMAX 1
#define WNI_CFG_HE_FLEX_TWT_SCHED_STADEF 0

#define WNI_CFG_HE_RX_CTRL_STAMIN 0
#define WNI_CFG_HE_RX_CTRL_STAMAX 1
#define WNI_CFG_HE_RX_CTRL_STADEF 0

#define WNI_CFG_HE_BSRP_AMPDU_AGGR_STAMIN 0
#define WNI_CFG_HE_BSRP_AMPDU_AGGR_STAMAX 1
#define WNI_CFG_HE_BSRP_AMPDU_AGGR_STADEF 0

#define WNI_CFG_HE_QTP_STAMIN 0
#define WNI_CFG_HE_QTP_STAMAX 1
#define WNI_CFG_HE_QTP_STADEF 0

#define WNI_CFG_HE_A_BQR_STAMIN 0
#define WNI_CFG_HE_A_BQR_STAMAX 1
#define WNI_CFG_HE_A_BQR_STADEF 0

#define WNI_CFG_HE_SR_RESPONDER_STAMIN 0
#define WNI_CFG_HE_SR_RESPONDER_STAMAX 1
#define WNI_CFG_HE_SR_RESPONDER_STADEF 0

#define WNI_CFG_HE_NDP_FEEDBACK_SUPP_STAMIN 0
#define WNI_CFG_HE_NDP_FEEDBACK_SUPP_STAMAX 1
#define WNI_CFG_HE_NDP_FEEDBACK_SUPP_STADEF 0

#define WNI_CFG_HE_OPS_SUPP_STAMIN 0
#define WNI_CFG_HE_OPS_SUPP_STAMAX 1
#define WNI_CFG_HE_OPS_SUPP_STADEF 0

#define WNI_CFG_HE_AMSDU_IN_AMPDU_MIN 0
#define WNI_CFG_HE_AMSDU_IN_AMPDU_MAX 1
#define WNI_CFG_HE_AMSDU_IN_AMPDU_DEF 0

#define WNI_CFG_HE_MTID_AGGR_TX_MIN 0
#define WNI_CFG_HE_MTID_AGGR_TX_MAX 0x7
#define WNI_CFG_HE_MTID_AGGR_TX_DEF 0

#define WNI_CFG_HE_SUB_CH_SEL_TX_MIN 0
#define WNI_CFG_HE_SUB_CH_SEL_TX_MAX 1
#define WNI_CFG_HE_SUB_CH_SEL_TX_DEF 0

#define WNI_CFG_HE_UL_2X996_RU_MIN 0
#define WNI_CFG_HE_UL_2X996_RU_MAX 1
#define WNI_CFG_HE_UL_2X996_RU_DEF 0

#define WNI_CFG_HE_OM_CTRL_UL_MU_DIS_RX_MIN 0
#define WNI_CFG_HE_OM_CTRL_UL_MU_DIS_RX_MAX 1
#define WNI_CFG_HE_OM_CTRL_UL_MU_DIS_RX_DEF 0

#define WNI_CFG_HE_CHAN_WIDTH_STAMIN 0
#define WNI_CFG_HE_CHAN_WIDTH_STAMAX 0x3F
#define WNI_CFG_HE_CHAN_WIDTH_STADEF 0

#define WNI_CFG_HE_RX_PREAM_PUNC_STAMIN 0
#define WNI_CFG_HE_RX_PREAM_PUNC_STAMAX 0xF
#define WNI_CFG_HE_RX_PREAM_PUNC_STADEF 0

#define WNI_CFG_HE_CLASS_OF_DEVICE_STAMIN 0
#define WNI_CFG_HE_CLASS_OF_DEVICE_STAMAX 1
#define WNI_CFG_HE_CLASS_OF_DEVICE_STADEF 0

#define WNI_CFG_HE_LDPC_STAMIN 0
#define WNI_CFG_HE_LDPC_STAMAX 1
#define WNI_CFG_HE_LDPC_STADEF 0

#define WNI_CFG_HE_LTF_PPDU_STAMIN 0
#define WNI_CFG_HE_LTF_PPDU_STAMAX 0x3
#define WNI_CFG_HE_LTF_PPDU_STADEF 0

#define WNI_CFG_HE_MIDAMBLE_RX_MAX_NSTS_MIN 0
#define WNI_CFG_HE_MIDAMBLE_RX_MAX_NSTS_MAX 0x3
#define WNI_CFG_HE_MIDAMBLE_RX_MAX_NSTS_DEF 0

#define WNI_CFG_HE_LTF_NDP_STAMIN 0
#define WNI_CFG_HE_LTF_NDP_STAMAX 0x3
#define WNI_CFG_HE_LTF_NDP_STADEF 0

#define WNI_CFG_HE_TX_STBC_LT80_STAMIN 0
#define WNI_CFG_HE_TX_STBC_LT80_STAMAX 1
#define WNI_CFG_HE_TX_STBC_LT80_STADEF 0

#define WNI_CFG_HE_RX_STBC_LT80_STAMIN 0
#define WNI_CFG_HE_RX_STBC_LT80_STAMAX 1
#define WNI_CFG_HE_RX_STBC_LT80_STADEF 0

#define WNI_CFG_HE_DOPPLER_STAMIN 0
#define WNI_CFG_HE_DOPPLER_STAMAX 0x3
#define WNI_CFG_HE_DOPPLER_STADEF 0

#define WNI_CFG_HE_UL_MUMIMO_STAMIN 0
#define WNI_CFG_HE_UL_MUMIMO_STAMAX 0x3
#define WNI_CFG_HE_UL_MUMIMO_STADEF 0

#define WNI_CFG_HE_DCM_TX_STAMIN 0
#define WNI_CFG_HE_DCM_TX_STAMAX 0x7
#define WNI_CFG_HE_DCM_TX_STADEF 0

#define WNI_CFG_HE_DCM_RX_STAMIN 0
#define WNI_CFG_HE_DCM_RX_STAMAX 0x7
#define WNI_CFG_HE_DCM_RX_STADEF 0

#define WNI_CFG_HE_MU_PPDU_STAMIN 0
#define WNI_CFG_HE_MU_PPDU_STAMAX 1
#define WNI_CFG_HE_MU_PPDU_STADEF 0

#define WNI_CFG_HE_SU_BEAMFORMER_STAMIN 0
#define WNI_CFG_HE_SU_BEAMFORMER_STAMAX 1
#define WNI_CFG_HE_SU_BEAMFORMER_STADEF 0

#define WNI_CFG_HE_SU_BEAMFORMEE_STAMIN 0
#define WNI_CFG_HE_SU_BEAMFORMEE_STAMAX 1
#define WNI_CFG_HE_SU_BEAMFORMEE_STADEF 0

#define WNI_CFG_HE_MU_BEAMFORMER_STAMIN 0
#define WNI_CFG_HE_MU_BEAMFORMER_STAMAX 1
#define WNI_CFG_HE_MU_BEAMFORMER_STADEF 0

#define WNI_CFG_HE_BFEE_STS_LT80_STAMIN 0
#define WNI_CFG_HE_BFEE_STS_LT80_STAMAX 0x7
#define WNI_CFG_HE_BFEE_STS_LT80_STADEF 0

#define WNI_CFG_HE_BFEE_STS_GT80_STAMIN 0
#define WNI_CFG_HE_BFEE_STS_GT80_STAMAX 0x7
#define WNI_CFG_HE_BFEE_STS_GT80_STADEF 0

#define WNI_CFG_HE_NUM_SOUND_LT80_STAMIN 0
#define WNI_CFG_HE_NUM_SOUND_LT80_STAMAX 0x7
#define WNI_CFG_HE_NUM_SOUND_LT80_STADEF 0

#define WNI_CFG_HE_NUM_SOUND_GT80_STAMIN 0
#define WNI_CFG_HE_NUM_SOUND_GT80_STAMAX 0x7
#define WNI_CFG_HE_NUM_SOUND_GT80_STADEF 0

#define WNI_CFG_HE_SU_FEED_TONE16_STAMIN 0
#define WNI_CFG_HE_SU_FEED_TONE16_STAMAX 1
#define WNI_CFG_HE_SU_FEED_TONE16_STADEF 0

#define WNI_CFG_HE_MU_FEED_TONE16_STAMIN 0
#define WNI_CFG_HE_MU_FEED_TONE16_STAMAX 1
#define WNI_CFG_HE_MU_FEED_TONE16_STADEF 0

#define WNI_CFG_HE_CODEBOOK_SU_STAMIN 0
#define WNI_CFG_HE_CODEBOOK_SU_STAMAX 1
#define WNI_CFG_HE_CODEBOOK_SU_STADEF 0

#define WNI_CFG_HE_CODEBOOK_MU_STAMIN 0
#define WNI_CFG_HE_CODEBOOK_MU_STAMAX 1
#define WNI_CFG_HE_CODEBOOK_MU_STADEF 0

#define WNI_CFG_HE_BFRM_FEED_STAMIN 0
#define WNI_CFG_HE_BFRM_FEED_STAMAX 0x7
#define WNI_CFG_HE_BFRM_FEED_STADEF 0

#define WNI_CFG_HE_ER_SU_PPDU_STAMIN 0
#define WNI_CFG_HE_ER_SU_PPDU_STAMAX 1
#define WNI_CFG_HE_ER_SU_PPDU_STADEF 0

#define WNI_CFG_HE_DL_PART_BW_STAMIN 0
#define WNI_CFG_HE_DL_PART_BW_STAMAX 1
#define WNI_CFG_HE_DL_PART_BW_STADEF 0

#define WNI_CFG_HE_PPET_PRESENT_STAMIN 0
#define WNI_CFG_HE_PPET_PRESENT_STAMAX 1
#define WNI_CFG_HE_PPET_PRESENT_STADEF 0

#define WNI_CFG_HE_SRP_STAMIN 0
#define WNI_CFG_HE_SRP_STAMAX 1
#define WNI_CFG_HE_SRP_STADEF 0

#define WNI_CFG_HE_POWER_BOOST_STAMIN 0
#define WNI_CFG_HE_POWER_BOOST_STAMAX 1
#define WNI_CFG_HE_POWER_BOOST_STADEF 0

#define WNI_CFG_HE_4x_LTF_GI_STAMIN 0
#define WNI_CFG_HE_4x_LTF_GI_STAMAX 1
#define WNI_CFG_HE_4x_LTF_GI_STADEF 0

#define WNI_CFG_HE_MAX_NC_STAMIN 0
#define WNI_CFG_HE_MAX_NC_STAMAX 0x7
#define WNI_CFG_HE_MAX_NC_STADEF 0

#define WNI_CFG_HE_TX_STBC_GT80_STAMIN 0
#define WNI_CFG_HE_TX_STBC_GT80_STAMAX 1
#define WNI_CFG_HE_TX_STBC_GT80_STADEF 0

#define WNI_CFG_HE_RX_STBC_GT80_STAMIN 0
#define WNI_CFG_HE_RX_STBC_GT80_STAMAX 1
#define WNI_CFG_HE_RX_STBC_GT80_STADEF 0

#define WNI_CFG_HE_ER_4x_LTF_GI_STAMIN 0
#define WNI_CFG_HE_ER_4x_LTF_GI_STAMAX 1
#define WNI_CFG_HE_ER_4x_LTF_GI_STADEF 0

#define WNI_CFG_HE_PPDU_20_IN_40MHZ_2G_MIN 0
#define WNI_CFG_HE_PPDU_20_IN_40MHZ_2G_MAX 1
#define WNI_CFG_HE_PPDU_20_IN_40MHZ_2G_DEF 0

#define WNI_CFG_HE_PPDU_20_IN_160_80P80MHZ_MIN 0
#define WNI_CFG_HE_PPDU_20_IN_160_80P80MHZ_MAX 1
#define WNI_CFG_HE_PPDU_20_IN_160_80P80MHZ_DEF 0

#define WNI_CFG_HE_PPDU_80_IN_160_80P80MHZ_MIN 0
#define WNI_CFG_HE_PPDU_80_IN_160_80P80MHZ_MAX 1
#define WNI_CFG_HE_PPDU_80_IN_160_80P80MHZ_DEF 0

#define WNI_CFG_HE_ER_1X_HE_LTF_GI_MIN 0
#define WNI_CFG_HE_ER_1X_HE_LTF_GI_MAX 1
#define WNI_CFG_HE_ER_1X_HE_LTF_GI_DEF 0

#define WNI_CFG_HE_MIDAMBLE_TXRX_1X_HE_LTF_MIN 0
#define WNI_CFG_HE_MIDAMBLE_TXRX_1X_HE_LTF_MAX 1
#define WNI_CFG_HE_MIDAMBLE_TXRX_1X_HE_LTF_DEF 0

#define WNI_CFG_HE_DCM_MAX_BW_MIN 0
#define WNI_CFG_HE_DCM_MAX_BW_MAX 3
#define WNI_CFG_HE_DCM_MAX_BW_DEF 0

#define WNI_CFG_HE_LONGER_16_SIGB_OFDM_SYM_MIN 0
#define WNI_CFG_HE_LONGER_16_SIGB_OFDM_SYM_MAX 1
#define WNI_CFG_HE_LONGER_16_SIGB_OFDM_SYM_DEF 0

#define WNI_CFG_HE_TX_1024_QAM_LT_242_RU_MIN 0
#define WNI_CFG_HE_TX_1024_QAM_LT_242_RU_MAX 1
#define WNI_CFG_HE_TX_1024_QAM_LT_242_RU_DEF 0

#define WNI_CFG_HE_RX_1024_QAM_LT_242_RU_MIN 0
#define WNI_CFG_HE_RX_1024_QAM_LT_242_RU_MAX 1
#define WNI_CFG_HE_RX_1024_QAM_LT_242_RU_DEF 0

#define WNI_CFG_HE_NON_TRIG_CQI_FEEDBACK_MIN 0
#define WNI_CFG_HE_NON_TRIG_CQI_FEEDBACK_MAX 1
#define WNI_CFG_HE_NON_TRIG_CQI_FEEDBACK_DEF 0

#define WNI_CFG_HE_RX_FULL_BW_MU_CMPR_SIGB_MIN 0
#define WNI_CFG_HE_RX_FULL_BW_MU_CMPR_SIGB_MAX 1
#define WNI_CFG_HE_RX_FULL_BW_MU_CMPR_SIGB_DEF 0

#define WNI_CFG_HE_RX_FULL_BW_MU_NON_CMPR_SIGB_MIN 0
#define WNI_CFG_HE_RX_FULL_BW_MU_NON_CMPR_SIGB_MAX 1
#define WNI_CFG_HE_RX_FULL_BW_MU_NON_CMPR_SIGB_DEF 0

#define WNI_CFG_HE_RX_MCS_MAP_LT_80_MIN 0x0000
#define WNI_CFG_HE_RX_MCS_MAP_LT_80_MAX 0xFFFF
#define WNI_CFG_HE_RX_MCS_MAP_LT_80_DEF 0xFFF0

#define WNI_CFG_HE_TX_MCS_MAP_LT_80_MIN 0x0000
#define WNI_CFG_HE_TX_MCS_MAP_LT_80_MAX 0xFFFF
#define WNI_CFG_HE_TX_MCS_MAP_LT_80_DEF 0xFFF0

#define WNI_CFG_HE_RX_MCS_MAP_160_MIN 0x0000
#define WNI_CFG_HE_RX_MCS_MAP_160_MAX 0xFFFF
#define WNI_CFG_HE_RX_MCS_MAP_160_DEF 0xFFF0

#define WNI_CFG_HE_TX_MCS_MAP_160_MIN 0x0000
#define WNI_CFG_HE_TX_MCS_MAP_160_MAX 0xFFFF
#define WNI_CFG_HE_TX_MCS_MAP_160_DEF 0xFFF0

#define WNI_CFG_HE_RX_MCS_MAP_80_80_MIN 0x0000
#define WNI_CFG_HE_RX_MCS_MAP_80_80_MAX 0xFFFF
#define WNI_CFG_HE_RX_MCS_MAP_80_80_DEF 0xFFF0

#define WNI_CFG_HE_TX_MCS_MAP_80_80_MIN 0x0000
#define WNI_CFG_HE_TX_MCS_MAP_80_80_MAX 0xFFFF
#define WNI_CFG_HE_TX_MCS_MAP_80_80_DEF 0xFFF0

#define WNI_CFG_HE_OPS_BSS_COLOR_MIN 0x01
#define WNI_CFG_HE_OPS_BSS_COLOR_MAX 0x3F
#define WNI_CFG_HE_OPS_BSS_COLOR_DEF 0x01

#define WNI_CFG_HE_OPS_DEFAULT_PE_MIN 0x0
#define WNI_CFG_HE_OPS_DEFAULT_PE_MAX 0x7
#define WNI_CFG_HE_OPS_DEFAULT_PE_DEF 0x0

#define WNI_CFG_HE_OPS_TWT_REQUIRED_MIN 0
#define WNI_CFG_HE_OPS_TWT_REQUIRED_MAX 1
#define WNI_CFG_HE_OPS_TWT_REQUIRED_DEF 0

#define WNI_CFG_HE_OPS_RTS_THRESHOLD_MIN 0x000
#define WNI_CFG_HE_OPS_RTS_THRESHOLD_MAX 0x3FF
#define WNI_CFG_HE_OPS_RTS_THRESHOLD_DEF 0x000

#define WNI_CFG_HE_OPS_PARTIAL_BSS_COL_MIN 0
#define WNI_CFG_HE_OPS_PARTIAL_BSS_COL_MAX 1
#define WNI_CFG_HE_OPS_PARTIAL_BSS_COL_DEF 0

#define WNI_CFG_HE_OPS_VHT_OPER_PRESENT_MIN 0
#define WNI_CFG_HE_OPS_VHT_OPER_PRESENT_MAX 1
#define WNI_CFG_HE_OPS_VHT_OPER_PRESENT_DEF 0

#define WNI_CFG_HE_OPS_MBSSID_AP_MIN 0
#define WNI_CFG_HE_OPS_MBSSID_AP_MAX 1
#define WNI_CFG_HE_OPS_MBSSID_AP_DEF 0

#define WNI_CFG_HE_OPS_TX_BSSID_IND_MIN 0
#define WNI_CFG_HE_OPS_TX_BSSID_IND_MAX 1
#define WNI_CFG_HE_OPS_TX_BSSID_IND_DEF 0

#define WNI_CFG_HE_OPS_BSS_COL_DISABLED_MIN 0
#define WNI_CFG_HE_OPS_BSS_COL_DISABLED_MAX 1
#define WNI_CFG_HE_OPS_BSS_COL_DISABLED_DEF 0

#define WNI_CFG_HE_OPS_BASIC_MCS_NSS_MIN 0x0000
#define WNI_CFG_HE_OPS_BASIC_MCS_NSS_MAX 0xFFFF
#define WNI_CFG_HE_OPS_BASIC_MCS_NSS_DEF 0xFFFC

#define WNI_CFG_HE_STA_OBSSPD_STAMIN 0
#define WNI_CFG_HE_STA_OBSSPD_STAMAX 0xffffffff
#define WNI_CFG_HE_STA_OBSSPD_STADEF 0x15b8c2ae

#define WNI_CFG_PS_WOW_DATA_INACTIVITY_TIMEOUT_STAMIN    1
#define WNI_CFG_PS_WOW_DATA_INACTIVITY_TIMEOUT_STAMAX    255
#define WNI_CFG_PS_WOW_DATA_INACTIVITY_TIMEOUT_STADEF    50

#define WNI_CFG_SAP_MAX_MCS_DATA_STAMIN  0x0
#define WNI_CFG_SAP_MAX_MCS_DATA_STAMAX  0x17f
#define WNI_CFG_SAP_MAX_MCS_DATA_STADEF  0x0

#define WNI_CFG_RATE_FOR_TX_MGMT_2G_STAMIN   0x0
#define WNI_CFG_RATE_FOR_TX_MGMT_2G_STAMAX   0xFF
#define WNI_CFG_RATE_FOR_TX_MGMT_2G_STADEF   0xFF

#define WNI_CFG_RATE_FOR_TX_MGMT_5G_STAMIN   0x0
#define WNI_CFG_RATE_FOR_TX_MGMT_5G_STAMAX   0xFF
#define WNI_CFG_RATE_FOR_TX_MGMT_5G_STADEF   0xFF

#define WNI_CFG_TWT_REQUESTOR_STAMIN 0
#define WNI_CFG_TWT_REQUESTOR_STAMAX 1
#define WNI_CFG_TWT_REQUESTOR_STADEF 0

#define WNI_CFG_TWT_RESPONDER_STAMIN 0
#define WNI_CFG_TWT_RESPONDER_STAMAX 1
#define WNI_CFG_TWT_RESPONDER_STADEF 0

#define WNI_CFG_BCAST_TWT_STAMIN 0
#define WNI_CFG_BCAST_TWT_STAMAX 1
#define WNI_CFG_BCAST_TWT_STADEF 0

#define CFG_STA_MAGIC_DWORD    0xbeefbeef

#endif
